()

NAME
pmem2_config_set_vm_reservation() - sets the pmem2_vm_reservation structure basing on the values in the pmem2_config structure

SYNOPSIS

        #include <libpmem2.h>
        struct pmem2_config;
        struct pmem2_vm_reservation;
        int pmem2_config_set_vm_reservation(struct pmem2_config *config,
                struct pmem2_vm_reservation *rsv, size_t rsv_offset);

DESCRIPTION
The pmem2_config_set_vm_reservation() function sets the virtual memory reservation and an offset to be used during a mapping. rsv should be already initialized. Please see pmem2_vm_reservation_new(3) for details. rsv_offset marks the offset in the reservation for the mapping.

RETURN VALUE
pmem2_config_set_vm_reservation() function always returns 0.

SEE ALSO
pmem2_vm_reservation_new(3), libpmem2(7) and https://pmem.io